Part Box/ro: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
Line 3: Line 3:


==Descriere==
==Descriere==
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.
Comanda Box din Atelierul [[Part_Workbench|Part Workbench]] inserează o casetă parametrică, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], o primitivă geometrică în documentul activ. Implicit, comanda Box va insera un cub de 10x10x10 mm, poziționaat în origine, cu denumirea/eticheta "cube".
Acești parametri pot fi modificați după adăugarea obiectului.


[[Image:Part_Box.jpg|400px|Part_Box]]
[[Image:Part_Box.jpg|400px|Part_Box]]

Revision as of 06:37, 26 October 2018

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part, Complete
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

Descriere

Comanda Box din Atelierul Part Workbench inserează o casetă parametrică, rectangular cuboid, o primitivă geometrică în documentul activ. Implicit, comanda Box va insera un cub de 10x10x10 mm, poziționaat în origine, cu denumirea/eticheta "cube". Acești parametri pot fi modificați după adăugarea obiectului.

Part_Box

Cum se folosește

  • Click the cube icon from the Part Workbench.
  • Alternatively, you can select Part → Primitives → Cube from the menu bar.

Opțiuni

  • Via the Property Editor:
    • Length: Set the length distance for your Box object (default is 10 mm).
    • Width: Set the width distance for your Box object (default is 10 mm).
    • Height: Set the height distance for your Box object (default is 10 mm).
    • Placement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
    • Label: The Label is the name given to the operation. This name can be changed at your convenience.

Proprietăți

Base

  • DatePlacement: Specifies the orientation and position of the Box in the 3D space. See Placement. The reference point is the left front lower corner of the box.
  • DateLabel: Label given to the Box object. Change to suit your needs.

Box

  • DateLength: The length parameter is the Box's dimension in the x-direction.
  • DateWidth: The width parameter is the Box's dimension in the y-direction.
  • DateHeight: The height parameter is the Box's dimension in the z-direction.

Part_Box-Properties

Scripting

Comanda Box poate fi utilizat în macros și din consola python utilizând următoarea funcție:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Unde "myBox" este o denumire/etichetă pentru obiectul Box.
  • Are ca rezulta obiectul nou creat de tip Box.

Puteți accesa și modifica atributele obiectului Box. De exemplu, ați putea dori să modificați parametrii de lungime, lățime și înălțime.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

Puteți schimba amplasamentul cu:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

Ăncepând cu versiunea 0.14, Part Box se fâreferă la un element GUI element ca un Cube și denumirea/eticheta implicită este "Cube".